package com.skr.mdm.api.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.result.ResponseResult;
import com.skr.mdm.entity.AuLabelDO;
import com.skr.mdm.bean.qo.controller.UserManagerQO;

/**
 * @outher tty
 * @date 2020/7/10 17:24
 **/
public interface AuLabelService extends IService<AuLabelDO> {

	ResponseResult listAuLabelManagement(UserManagerQO userManagerQO, Integer companyId);

	ResponseResult addAuLabel(AuLabelDO auLabelDo, LoginAdminDTO admin);

	ResponseResult delAuLabel(String auLabelId, LoginAdminDTO admin);

	ResponseResult getAuLabelInfo(Integer aulabelId);

	ResponseResult updateAuLabel(AuLabelDO auLabelDo, LoginAdminDTO admin);
}
